> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loyalty Multipliers

> Get Loyalty Multipliers



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/loyalty/multipliers
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/loyalty/multipliers:
    get:
      tags:
        - Loyalty
      summary: Get Loyalty Multipliers
      description: Get Loyalty Multipliers
      parameters:
        - name: websiteId
          in: query
          schema:
            type: string
            format: uuid
        - name: organizationId
          in: query
          schema:
            type: string
            format: uuid
        - name: walletAddress
          in: query
          schema:
            oneOf:
              - type: string
              - type: array
                items:
                  type: string
                minItems: 1
        - name: userId
          in: query
          schema:
            oneOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
                minItems: 1
        - name: startingAfter
          in: query
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: includeDeleted
          in: query
          schema:
            type: string
        - name: walletGroupIdentifier
          in: query
          schema:
            type: string
            format: uuid
        - name: externalIdentifier
          in: query
          schema:
            type: string
        - name: userGroupExternalIdentifier
          in: query
          schema:
            type: string
        - name: userGroupId
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        userId:
                          type: string
                          format: uuid
                        websiteId:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                          format: uuid
                        multiplier:
                          type: number
                          minimum: 0.01
                          maximum: 1000
                          exclusiveMaximum: true
                        title:
                          type: string
                          nullable: true
                        description:
                          type: string
                          nullable: true
                        externalIdentifier:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          type: string
                          nullable: true
                        user:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            walletAddress:
                              type: string
                          required:
                            - id
                            - walletAddress
                          title: Loyalty Multiplier User Schema
                          description: Schema for a loyalty multiplier user
                        loyaltyRuleId:
                          type: string
                          format: uuid
                      required:
                        - id
                        - userId
                        - websiteId
                        - organizationId
                        - multiplier
                        - title
                        - description
                        - externalIdentifier
                        - createdAt
                        - updatedAt
                        - deletedAt
                        - user
                      title: Loyalty Multiplier Schema
                      description: Schema for loyalty multiplier
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````